#ifndef VDR_MEDIAMVP_H
#define VDR_MEDIAMVP_H

#include <vdr/plugin.h>
#include "libmvp.h"

class cPluginMediamvp : public cPlugin {
private:
  // Add any member variables or functions you may need here.
    static const char *VERSION;
    static const char *DESCRIPTION;

public:
  cPluginMediamvp(void);
  virtual ~cPluginMediamvp();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };


#endif
